Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.canvas.map2d
Interface Map2D

All Superinterfaces:
  Canvas

All Known Subinterfaces:
  WebMap2D

    public interface Map2D

extends Canvas

The `Map2D` interface extends the `Canvas` interface in order to clearly define a group of properties for 2 dimensional maps. These properties are accessed through `Map2DState` objects and modified through `Map2DController` objects.

See Also:
  `Map2DController`, `Map2DState`

Method Summary

Methods inherited from interface Canvas
`add, addAsEditable, addCanvasListener, addEventManager, dispose, disposeEventManagers, enableCanvasHandler, findEventManager, getActiveCanvasHandler, getDisplayCoordinateReferenceSystem, getDisplayToObjectiveTransform, getFactory, getGraphicsAt, getGraphicsIn, getImplHint, getObjectiveCoordinateReferenceSystem, getObjectiveToDisplayTransform, getState, getTitle, getTopGraphicAt, getUID, isVisible, remove, removeCanvasHandler, removeCanvasListener, setImplHint, setObjectiveCoordinateReferenceSystem, setObjectiveCoordinateReferenceSystem, setTitle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.